Bug 3309 - [UPDATE REQUEST] [UPSTREAM UPDATE] vte
: [UPDATE REQUEST] [UPSTREAM UPDATE] vte
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-02 19:36 MSK by Andrew Lukoshko
Modified: 2014-01-10 10:22 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-12-02 19:36:34 MSK
Due to a bug in the VTE code, the GNOME terminal did not release the allocated
file descriptor if a newly open terminal tab was closed. As a consequence, the
GNOME terminal eventually ran out of file descriptors after long usage without
terminating the process. Any attempt to open a new terminal failed with a "too
many open files" error unless all open terminal windows were closed first. This
update modifies the VTE code so that file descriptors are freed as expected in
this scenario and the problem no longer occurs.

http://rhn.redhat.com/errata/RHBA-2013-0854.html

https://abf.rosalinux.ru/build_lists/1391221
https://abf.rosalinux.ru/build_lists/1391222
Comment 1 Vladimir Potapov 2013-12-10 18:05:44 MSK
vte-0.25.1-8.res6
************************** RHEL Advisory *************************
Due to a bug in the VTE code, the GNOME terminal did not release the allocated
file descriptor if a newly open terminal tab was closed. As a consequence, the
GNOME terminal eventually ran out of file descriptors after long usage without
terminating the process. Any attempt to open a new terminal failed with a "too
many open files" error unless all open terminal windows were closed first. This
update modifies the VTE code so that file descriptors are freed as expected in
this scenario and the problem no longer occurs.
*******************************************************************
QA Verified